wormhole(6)

NAME
wormhole - animation of flying through a wormhole

SYNOPSIS
wormhole [-display host:display.screen] [-window] [-visual visual] [-root] [-stars n] [-delay usecs] [-zspeed n] [-fps]

DESCRIPTION
The wormhole program shows an animation of flying through a tunnel surrounded by streaks of light.

OPTIONS
wormhole accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    Make all the rocks the same color.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-stars integer
    Number of stars to create every animation loop.

-zspeed integer
    Speed light streaks fly by.

-delay microseconds
    Number of microseconds to delay between each frame. Default 10000, meaning about 1/100th second. Compare and contrast with -zspeed, above.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2004 by Jon Rafkind. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jon Rafkind <jon@rafkind.com>